<section class="content" *ngIf="!done; else doneMessage">
    <h1>Inkomsten/uitgaven categoriseren</h1>
    <h2>Nu gaan we de opgehaalde banktransacties categoriseren. Kies uit de lijst hieronder steeds alle inkomsten
        en/of uitgaven die bij de categorie aan de rechterkant horen. (Als een categorie niet van toepassing is, ga dan
        naar de volgende categorie zonder transacties te selecteren.)</h2>


    <ul class="transactions-container">
        <li class="fixed">
            <app-search-bar #searchbar (onSearch)="onQuery($event)">
            </app-search-bar>
        </li>
        <li *ngFor="let transaction of displayTransactions" [appFilteredList]="filterQuery"
            [ngClass]="transaction.amount > 0 ? 'income' : 'expense'">
            <label class="checkbox-label"><input type="checkbox" [(ngModel)]="transaction.checked">
                <ul>
                    <li>
                        <h2 data-findable>{{transaction.name}}</h2>
                    </li>
                    <li>{{transaction.transactions > 1 ? "Gemiddelde" : "Totaal"}}
                        {{transaction.amount > 0 ? "inkomst" : "uitgave"}}:
                        <strong data-findable>€{{transaction.amount}}</strong></li>
                    <li *ngIf="transaction.transactions > 1">Deze {{transaction.amount > 0 ? "inkomst" : "uitgave"}}
                        kwam in de afgelopen drie maanden
                        <strong>{{transaction.transactions}}</strong> keer voor</li>
                </ul>
            </label>
        </li>
    </ul>
    <div class="button-container">
        <button *ngIf="showPrev" class="secondary" (click)="previous()">Vorige</button>
        <button class="primary" (click)="next()">Volgende</button>
    </div>
</section>

<ng-template #doneMessage>
    <section class="content">
        <h1>Transacties categoriseren</h1>
        <h2>Je bent klaar met het categoriseren van de transacties van de afgelopen drie maanden. Hieronder vind je een
            lijst met de overgebleven transacties. klik op doorgaan om naar het overzicht van inkomsten/uitgaven te
            gaan.</h2>
        <ul class="transactions-container passive">
            <li *ngFor="let transaction of displayTransactions">
                <ul>
                    <li>
                        <h2>{{transaction.name}}</h2>
                    </li>
                    <li>{{transaction.transactions > 1 ? "Gemiddelde" : "Totaal"}}
                        {{transaction.amount > 0 ? "inkomst" : "uitgave"}}:
                        <strong>€{{transaction.amount}}</strong></li>
                    <li *ngIf="transaction.transactions > 1">Deze {{transaction.amount > 0 ? "inkomst" : "uitgave"}}
                        kwam in de afgelopen drie maanden
                        <strong>{{transaction.transactions}}</strong> keer voor</li>
                </ul>
            </li>
        </ul>
        <button class="primary" (click)="toNextStep()">Doorgaan</button>
    </section>
</ng-template>

<ng-template #loading>
    <div class="loading-container">
        <svg version="1.1" id="L2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px"
            y="0px" viewBox="0 0 100 100" enable-background="new 0 0 100 100" xml:space="preserve">
            <circle fill="none" stroke="#2a5686" stroke-width="4" stroke-miterlimit="10" cx="50" cy="50" r="48" />
            <line fill="none" stroke-linecap="round" stroke="#cc0300" stroke-width="4" stroke-miterlimit="10" x1="50"
                y1="50" x2="85" y2="50.5">
                <animateTransform attributeName="transform" dur="1s" type="rotate" from="0 50 50" to="360 50 50"
                    repeatCount="indefinite" />
            </line>
            <line fill="none" stroke-linecap="round" stroke="#cc0300" stroke-width="4" stroke-miterlimit="10" x1="50"
                y1="50" x2="49.5" y2="74">
                <animateTransform attributeName="transform" dur="10s" type="rotate" from="0 50 50" to="360 50 50"
                    repeatCount="indefinite" />
            </line>
        </svg>
    </div>
</ng-template>